<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];
$td = @$_POST["td"];

$code = str_majuscules(@$_POST["code"]);
$des = str_majuscules(@$_POST["des"]);
$notes = @$_POST["notes"];
$valid = intval(@$_POST["valid"]);
$coutk = floatval(@$_POST["coutk"]);
$coutf = floatval(@$_POST["coutf"]);
$coutas = floatval(@$_POST["coutas"]);
if ($coutas == "ok")
    $coutas = 1;
else
    $coutas = 0;
$kmi = floatval(@$_POST["kmi"]);
$kmill = @$_POST["kmill"];
if ($kmill == "ok")
    $kmill = 1;
else
    $kmill = 0;
$kms = floatval(@$_POST["kms"]);
$coutc = floatval(@$_POST["coutc"]);
$tpsdi = intval(@$_POST["tpsdi"]);

$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
switch ($td) {
    // Ajout de la fiche Moyen
    case "add" :
        $rech = "SELECT COUNT(*) FROM `" . TBMT . "` WHERE `mt_code` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech = "INSERT INTO `" . TBMT . "` (mt_code,mt_des,mt_notes,mt_valid,mt_coutk,mt_coutf,mt_coutas,mt_kmi,mt_kmill,mt_kms,mt_coutc,mt_tpsdi)";
            $rech .= " VALUES ('$code','" . $db->escape($des) . "','" . $db->escape($notes) . "','$valid','$coutk','$coutf','$coutas','$kmi','$kmill','$kms','$coutc','$tpsdi')";
            $db->query($rech);
            $msg = _("Fiche ajoutée");
        } else {
            $msg = _("Ce code existe déjà");
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Moyen
    case "edit" :
        $rech = "SELECT COUNT(*) FROM `" . TBMT . "` WHERE `mt_code` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rech);
        if ($nbres == 1) {
            $rech = "UPDATE `" . TBMT . "` SET `mt_des`='" . $db->escape($des) . "', `mt_notes`='" . $db->escape($notes) . "', `mt_valid`='" . $valid . "',";
            $rech .= " `mt_coutk`='" . $coutk . "',`mt_coutf`='" . $coutf . "', `mt_coutas`='" . $coutas . "',";
            $rech .= " `mt_kmi`='" . $kmi . "', `mt_kmill`='" . $kmill . "', `mt_kms`='" . $kms . "',";
            $rech .= " `mt_coutc`='" . $coutc . "', `mt_tpsdi`='" . $tpsdi . "'";
            $rech .= " WHERE `mt_code` = '" . $db->escape($code) . "'";
            $db->query($rech);
            $msg = _("Fiche modifiée");
        } else {
            $msg = _("Modification impossible");
            $retourliste = FALSE;
        }
        break;

    // Suppression de la fiche Moyen
    case "del" :
        $delok = TRUE;
        // Vérifie si utilisé dans une fiche détail intervention
        $rexist = "SELECT COUNT(*) FROM `" . TBINTH . "` WHERE `inth_acodemt` = '$code' OR `inth_rcodemt` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            $msg = _("Ce moyen de transport est utilisé dans un détail intervention");
            $delok = FALSE;
        }

        // Vérifie si utilisé dans une fiche détail dossier
        $rexist = "SELECT * FROM `" . TBDOSD . "` WHERE `dosd_acodemt` = '$code' OR `dosd_rcodemt` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            $msg = _("Ce moyen de transport est utilisé dans un détail dossier");
            $delok = FALSE;
        }

        if ($delok == TRUE) {
            // Non - > suppression de la fiche Moyen
            $rech = "DELETE FROM `" . TBMT . "` WHERE `mt_code` = '" . $db->escape($code) . "'";
            $db->query($rech);
            $msg = _("Fiche supprimée");
        } else
            $retourliste = FALSE;
        break;
}
$db->disconnect();
?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Moyen de transport"); ?></title>

        <?PHP include_once("../inc/header.inc.php"); ?>

        <script type="text/javascript">
            <!--
            function init_all() {
                init_Body();
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>

    </head>
<body>
<?PHP
if ($tx <> "r")
    include_once("../inc/entete.inc.php");
?>
    <p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
    <p align="center">&nbsp;</p>
<?PHP
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
    aff_ret_idx_man($td, "mt_lst.php", _("Retour à la liste"), TRUE);
} else
    pop_ret_auto($msg, 'ok', "mt_lst.php");
include_once("pied.php");
?>